Bug 1057911 - Review Request: mingw-qt5-qtwinextras - Qt5 for Windows - QtWinExtras component
Summary: Review Request: mingw-qt5-qtwinextras - Qt5 for Windows - QtWinExtras component
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 858058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 23:42 UTC by Erik van Pienbroek
Modified: 2015-03-23 13:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 13:58:08 UTC
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
It's need to get working binaries on Windows XP (2.07 KB, patch)
2014-05-20 04:13 UTC, Ivan Romanov
no flags Details | Diff

Description Erik van Pienbroek 2014-01-25 23:42:11 UTC
Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtwinextras/mingw-qt5-qtwinextras.spec
SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtwinextras/5.2.0/2.fc21/src/mingw-qt5-qtwinextras-5.2.0-2.fc21.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=198
Fedora Account System Username: epienbro
Description:
This package contains the Qt software toolkit for developing cross-platform applications. This is the Windows version of Qt, for use in conjunction with the Fedora Windows cross-compiler.

Comment 2 Ivan Romanov 2014-05-19 06:22:37 UTC
I tried to rebuild for myself. mingw32-qt5-qtwinextras-5.2.1-1.fc20.R.noarch has no libQt5WinExtras.dll.a

[taurus@lix qtwinextras-opensource-src-5.2.1]$ cat mingw32-qt5-qtwinextras.excludes
%exclude /usr/i686-w64-mingw32/sys-root/mingw/bin/Qt5WinExtras.dll.debug
%exclude /usr/i686-w64-mingw32/sys-root/mingw/lib/libQt5WinExtras.dll.a
%exclude /usr/i686-w64-mingw32/sys-root/mingw/share/qt5/qml/QtWinExtras/qml_winextras.dll.debug
[taurus@lix qtwinextras-opensource-src-5.2.1]$ cat mingw64-qt5-qtwinextras.excludes
%exclude /usr/x86_64-w64-mingw32/sys-root/mingw/bin/Qt5WinExtras.dll.debug
%exclude /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libQt5WinExtras.dll.a
%exclude /usr/x86_64-w64-mingw32/sys-root/mingw/share/qt5/qml/QtWinExtras/qml_winextras.dll.debug

Comment 3 Ivan Romanov 2014-05-19 06:28:35 UTC
Try this 
find $RPM_BUILD_ROOT%{mingw32_prefix} | grep -e ".dll\$" | sed s@"^$RPM_BUILD_ROOT"@"%%exclude "@ | sed s/".dll\$"/".dll.debug"/ > mingw32-qt5-%{qt_module}.excludes
find $RPM_BUILD_ROOT%{mingw64_prefix} | grep -e ".dll\$" | sed s@"^$RPM_BUILD_ROOT"@"%%exclude "@ | sed s/".dll\$"/".dll.debug"/ > mingw64-qt5-%{qt_module}.excludes

Comment 4 Ivan Romanov 2014-05-20 04:13:46 UTC
Created attachment 897412 [details]
It's need to get working binaries on Windows XP

It's need to get working binaries on Windows XP
https://bugreports.qt-project.org/browse/QTBUG-35617
https://codereview.qt-project.org/#change,85690

Comment 5 Erik van Pienbroek 2014-05-28 20:25:15 UTC
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtwinextras/mingw-qt5-qtwinextras.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtwinextras/5.3.0/1.fc21/src/mingw-qt5-qtwinextras-5.3.0-1.fc21.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=209

* Sun May 25 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.3.0-1
- Update to 5.3.0
- Make sure the .dll.a files are included in the main packages
- Fix Windows XP compatibility (QTBUG-35617)

Comment 6 Sandro Mani 2014-11-29 20:48:00 UTC
Package approved.

Full review below. Just three remarks:
- Update to 5.3.2, can drop patch
- Isn't needed anymore: rm -f $RPM_BUILD_ROOT%{mingwXX_libdir}/*.dll
- These should be fixed
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{snapshot_rev}


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 86 files have unknown license.
     Detailed output of licensecheck in /home/sandro/Desktop/1057911-mingw-
     qt5-qtwinextras/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-qt5-qtwinextras , mingw64-qt5-qtwinextras
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw64-qt5-qtwinextras : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/Qt5WinExtras.pc mingw32-qt5-qtwinextras :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5WinExtras.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-qt5-qtwinextras-5.3.0-1.fc22.noarch.rpm
          mingw64-qt5-qtwinextras-5.3.0-1.fc22.noarch.rpm
          mingw-qt5-qtwinextras-5.3.0-1.fc22.src.rpm
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtwinextras.src:29: W: macro-in-comment %{snapshot_rev}
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@PC4 /]# rpmlint mingw64-qt5-qtwinextras mingw32-qt5-qtwinextras
mingw64-qt5-qtwinextras.noarch: W: invalid-url URL: http://qt-project.org/ <urlopen error [Errno -3] Temporary failure in name resolution>
mingw32-qt5-qtwinextras.noarch: W: invalid-url URL: http://qt-project.org/ <urlopen error [Errno -3] Temporary failure in name resolution>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
]0;<mock-chroot><mock-chroot>[root@PC4 /]# echo 'rpmlint-done:'



Requires
--------
mingw64-qt5-qtwinextras (rpmlib, GLIBC filtered):
    mingw64(gdi32.dll)
    mingw64(kernel32.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64(ole32.dll)
    mingw64(qt5core.dll)
    mingw64(qt5gui.dll)
    mingw64(qt5network.dll)
    mingw64(qt5qml.dll)
    mingw64(qt5quick.dll)
    mingw64(qt5winextras.dll)
    mingw64(shell32.dll)
    mingw64(shlwapi.dll)
    mingw64(user32.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw32-qt5-qtwinextras (rpmlib, GLIBC filtered):
    mingw32(gdi32.dll)
    mingw32(kernel32.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32(ole32.dll)
    mingw32(qt5core.dll)
    mingw32(qt5gui.dll)
    mingw32(qt5network.dll)
    mingw32(qt5qml.dll)
    mingw32(qt5quick.dll)
    mingw32(qt5winextras.dll)
    mingw32(shell32.dll)
    mingw32(shlwapi.dll)
    mingw32(user32.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config



Provides
--------
mingw64-qt5-qtwinextras:
    mingw64(qml_winextras.dll)
    mingw64(qt5winextras.dll)
    mingw64-qt5-qtwinextras

mingw32-qt5-qtwinextras:
    mingw32(qml_winextras.dll)
    mingw32(qt5winextras.dll)
    mingw32-qt5-qtwinextras



Source checksums
----------------
http://download.qt-project.org/official_releases/qt/5.3/5.3.0/submodules/qtwinextras-opensource-src-5.3.0.tar.xz :
  CHECKSUM(SHA256) this package     : 16fb9bcf5a000f306b6f1457b5d3f3cc5fa94e3860887d1b0a841adac3d5ea8e
  CHECKSUM(SHA256) upstream package : 16fb9bcf5a000f306b6f1457b5d3f3cc5fa94e3860887d1b0a841adac3d5ea8e


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1057911
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Erik van Pienbroek 2014-11-30 19:13:23 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtwinextras
Short Description: Qt5 for Windows - QtWinExtras component
Owners: epienbro
Branches: f20 f21 el7
InitialCC:

Comment 8 Gwyn Ciesla 2014-12-01 13:15:56 UTC
Git done (by process-git-requests).

Comment 9 Sandro Mani 2014-12-19 23:27:27 UTC
Hi Erik, could you import this? Thanks!

Comment 10 Sandro Mani 2015-03-23 13:58:08 UTC
Suppose this can be closed.


Note You need to log in before you can comment on or make changes to this bug.